parameters:
    visualm.tag_manager.validator.valid_expression.class: 'VisualM\TagManagerBundle\Validator\Constraints\ValidExpressionValidator'

services:

    visualm.tag_manager.validator.valid_expression:
        class: '%visualm.tag_manager.validator.valid_expression.class%'
        arguments:
            - '@visualm.tag_manager.util.extended_data_dictionary'
            - '@visualm.tag_manager.util.extended_expression_language'
        tags:
            - { name: validator.constraint_validator, alias: visualm.tag_manager.validator.valid_expression }